Zum Hauptinhalt springen
GET
/
public
/
v1
/
offsite-ads
/
jobs
/
{job-id}
Get Job Status
curl --request GET \
  --url https://api.topsort.com/public/v1/offsite-ads/jobs/{job-id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/offsite-ads/jobs/{job-id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/offsite-ads/jobs/{job-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dsp": [],
  "result": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

job-id
string<uuid>
erforderlich

The ID of the job to retrieve the status for.

Abfrageparameter

vendor_id
string | null

The ID of the vendor to retrieve the job status for.

Antwort

Successful Response

jobId
string<uuid>
erforderlich

The unique identifier for the queued job.

requestType
enum<string>
erforderlich

The type of operation the job represents.

Verfügbare Optionen:
advertiser_creation,
campaign_creation,
campaign_update,
user_list_audience_creation
status
enum<string>
erforderlich

The current status of the job.

Verfügbare Optionen:
not_started,
in_progress,
completed,
failed,
retrying
dsp
enum<string>[]
erforderlich

The DSP(s) associated with the job.

DSPs an offsite audience is synced to.

Verfügbare Optionen:
google_ads,
meta,
tiktok_ads,
snapchat_ads
result
string | null

Optional result data in json format (e.g., {error: 'error message'}).